### Method

# EBackend SubprocessFactory set_backend_callbacks

since: 3.16

#### Declaration [src]

    void
    e_subprocess_factory_set_backend_callbacks (
      ESubprocessFactory* subprocess_factory,
      EBackend* backend,
      GDBusInterfaceSkeleton* proxy
    )

#### Description [src]

Installs a toggle reference on the backend, that can receive a signal to shutdown once all client connections are closed.

Available since: 3.16

#### Parameters

`backend`

  Type: `EBackend`

  An `EBackend`.

  The data is owned by the caller of the method.

`proxy`

  Type: `GDBusInterfaceSkeleton`

  A `GDBusInterfaceSkeleton`, used to communicate to the subprocess backend.

  The data is owned by the caller of the method.